JiBXParseException (JiBX Java data binding to XML - Version 1.2.3)
Keywords: org.jibx.runtime.JiBXParseException class

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.runtime
Class JiBXParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jibx.runtime.JiBXException
                  org.jibx.runtime.JiBXParseException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JiBXConstrainedParseException

    public class JiBXParseException

extends JiBXException

JiBX parsing exception class. This subclass of JiBXException provides additional details when a parsing error occurs such as what tag was being parsed and what value caused the error.

Author:
  Joshua Davies
See Also:
  Serialized Form

Constructor Summary
`JiBXParseException(java.lang.String msg, java.lang.String value)` Constructor from message.
`JiBXParseException(java.lang.String msg, java.lang.String value, java.lang.String namespace, java.lang.String tagName, java.lang.Throwable root)` Constructor from message, wrapped exception and tag name.
`JiBXParseException(java.lang.String msg, java.lang.String value, java.lang.Throwable root)` Constructor from message and wrapped exception.

Method Summary
`boolean` | `equals(java.lang.Object obj)` This is only used for testing purposes.
`java.lang.String` | `getMessage()` Append useful parsing details onto the default message.
`void` | `setNamespace(java.lang.String namespace)` Add namespace detail to the exception.
`void` | `setTagName(java.lang.String tagName)` Add tag name detail to the exception.

Methods inherited from class org.jibx.runtime.JiBXException
`getCause, getRootCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JiBXParseException

    public JiBXParseException(java.lang.String msg,
                              java.lang.String value)

  Constructor from message.

  Parameters:
    `msg` - the throwers description of what's gone wrong.
    `value` - the value which was unparseable (in string format).

### JiBXParseException

    public JiBXParseException(java.lang.String msg,
                              java.lang.String value,
                              java.lang.Throwable root)

  Constructor from message and wrapped exception.

  Parameters:
    `msg` - the throwers description of what's gone wrong.
    `value` - the value which was unparseable (in string format).
    `root` - exception which caused this exception

### JiBXParseException

    public JiBXParseException(java.lang.String msg,
                              java.lang.String value,
                              java.lang.String namespace,
                              java.lang.String tagName,
                              java.lang.Throwable root)

  Constructor from message, wrapped exception and tag name.

  Parameters:
    `msg` - message describing the exception condition
    `value` - the value which was unparseable (in string format).
    `namespace` - the namespace (if any) associated with the tag.
    `tagName` - the name of the tag whose element caused the exception.
    `root` - exception which caused this exception

Method Detail

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Add namespace detail to the exception.

  Parameters:
    `namespace` - the namespace of the offending tag.

### setTagName

    public void setTagName(java.lang.String tagName)

  Add tag name detail to the exception.

  Parameters:
    `tagName` - the name of the offending tag.

### getMessage

    public java.lang.String getMessage()

  Append useful parsing details onto the default message.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the parent's message plus "caused by value" addendum.

### equals

    public boolean equals(java.lang.Object obj)

  This is only used for testing purposes.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - what to compare against.
  Returns:
    true or false

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |